Batch remove bot templates
curl --request POST \
--url https://api.helloannie.com/v1/bots/{botId}/batch-remove-templates \
--header 'Content-Type: application/json' \
--data '
{
"templateIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.helloannie.com/v1/bots/{botId}/batch-remove-templates"
payload = { "templateIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({templateIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.helloannie.com/v1/bots/{botId}/batch-remove-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"jobId": "<string>",
"jobType": "remove",
"templatesQueued": 123
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Templates
Batch remove bot templates
Queue removal of multiple template applications from a bot. Each removal deletes the application record and workflows created by that template application.
POST
/
bots
/
{botId}
/
batch-remove-templates
Batch remove bot templates
Path Parameters
The ID of the bot to remove templates from
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body for batch removing templates from the bot in the path
Template IDs to remove from the bot (max 50)
Required array length:
1 - 50 elementsTemplate application to remove from the bot
⌘I